library(readr)
library(data.table)
library(haven)
library(bit64)
library(zoo)
library(ggplot2)
library(xtable)
library(foreign)
library(readstata13)

options(scipen = 999)


setwd("I:/Workdata/706362/js/Global_Income/REPLICATION_PACK/")


rm(list=ls())
cat("\014")

CS<- as.data.table(read.csv('out/21 Jun 2022 Descriptive_Stat/CS_cross_tabulation.csv'))
L_CS<- as.data.table(read.csv('out/21 Jun 2022 Descriptive_Stat/L_CS_labor_yr_sum_stats.csv'))
L_CS_gender<- as.data.table(read.csv('out/21 Jun 2022 Descriptive_Stat/L_CS_labor_yrgender_sum_stats.csv'))




CS<-CS[year==1995 | year==2015]
L_CS<-L_CS[year==1995 | year==2015]
L_CS_gender<-L_CS_gender[year==1995 | year==2015]



t1<-CS[,.(Obs=sum(numobs)),year]
t2<-CS[male==0,.(Women=sum(numobs)),year]
t3<-L_CS_gender[,meanlabor,.(male,year)]
t3<-dcast(t3,year~male,value.var = 'meanlabor')
colnames(t3)<-c('year','Women Earn','Men Earn')

CS[,age_group:='b']
CS[age<36,age_group:='a']
CS[age>45,age_group:='c']
t4<-CS[,.(age_obs=sum(numobs)),.(year,age_group)]
t4<-dcast(t4,year~age_group ,value.var = 'age_obs')
colnames(t4)<-c('year','A25-35','A36-45','A46-55')


CS[is.na(educ),educ:=1]
t5<-CS[,.(educ_obs=sum(numobs)),.(year,educ)]
t5<-dcast(t5,year~educ ,value.var = 'educ_obs')
colnames(t5)<-c('year','lHS','VOC','HS','CD','gCD')


T1<- merge(merge(merge(merge(t1,t2),t3),t4),t5)



T2<-cbind(T1[,.( year , Obs ,`Women Earn` ,`Men Earn`)],
          T1[,lapply(.SD, '/',Obs),.SDcols=c(3,6:13)]*100
)

print(xtable(T2,digits = 1),include.rownames = F,file='4_tables/Table_1_1.tex')



T3<- L_CS[,.(year,p1labor ,  p5labor, p10labor , p25labor ,p50labor , p75labor , p90labor,  p95labor , p99labor, p99_9labor )]

print(xtable(T3,digits = 0),include.rownames = F,file='4_tables/Table_1_2.tex')








